<?php

namespace MyApp\Core;

/**
 * Class Controller.
 */
class Controller
{
    public function __construct()
    {
    }

    /**
     * Send JSON response.
     *
     * @param mixed $data
     * @param int   $http_response_code HTTP code. Default 200
     */
    public function jsonResponse($data = null, $http_response_code = 200)
    {
        http_response_code($http_response_code);
        header('Content-Type: application/json; charset=utf-8');
        echo json_encode($data, JSON_UNESCAPED_UNICODE);
        exit(0);
    }

    /**
     * Send html response.
     *
     * @param mixed $data
     * @param int   $http_response_code HTTP code. Default 200
     */
    public function htmlResponse($data = null, $http_response_code = 200)
    {
        http_response_code($http_response_code);
        header('Content-Type: text/html; charset=utf-8');
        echo $data;
        exit(0);
    }

    /**
     * @param string $path
     * @param int $http_response_code
     */
    public function redirect( $path = '/', $http_response_code = 302 ) {
        header( "Location: $path", true, $http_response_code );
        exit;
    }
}
